Shift.h File Reference

Header file for Shift effect class. More...

`#include "../EffectBase.h"`
`#include <cmath>`
`#include <stdio.h>`
`#include <memory>`
`#include "../Json.h"`
`#include "../KeyFrame.h"`

Go to the source code of this file.

## Classes

class | openshot::Shift
| This class shifts the pixels of an image up, down, left, or right, and can be animated with openshot::Keyframe curves over time. More...

## Namespaces

| openshot
| This namespace is the default namespace for all code in the openshot library.

## Detailed Description

Header file for Shift effect class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file Shift.h.